Subject: [mif] multihoming APIs

From: Miika Komu <[email-masked]>
Date: Thu, 30 Jul 2009 12:21:07 +0300

Hi,

do you think that the following document is somewhat relevat to MIF?

http://tools.ietf.org/html/draft-ietf-shim6-multihome-shim-api

Abstract:

    This document specifies sockets API extensions for the multihoming
    shim layer.  The API aims to enable interactions between applications
    and the multihoming shim layer for advanced locator management, and
    access to information about failure detection and path exploration.

    This document is based on an assumption that a multihomed host is
    equipped with a conceptual sub-layer (hereafter "shim") inside the IP
    layer that maintains mappings between identifiers and locators.
    Examples of the shim are SHIM6 and HIP.